# -*- coding: cp1252 -*-
# Sieb des Eratosthenes
#
# Nach der Vorlage aus der Wikipedia (Artikel s.
# http://de.wikipedia.org/wiki/Primzahltest#Sieb_des_Eratosthenes )
# H. Witten 23.10.05

from math import sqrt
N=600020
Primzahlfeld = range(N)     # Liste der Zahlen von 0..N-1
                            # Alle Zahlen > 0 werden zunchst als
                            # Primzahlen angenommen.
Primzahlfeld[1] = 0         # 1 ist keine Primzahl!

for i in range(2,int(sqrt(N))):
    if Primzahlfeld[i] <> 0:
        for j in range(i*i,N,i):
            Primzahlfeld[j] = 0         # Hier wird gesiebt!

for i in range(N-100,N):
    if Primzahlfeld[i] > 0: print i,    # Es bleibt die Primzahlliste.
