# -*- coding: cp1252 -*-
# Kidd-Analyse : Gibt eine sortierte Hufigkeitstabelle aus,
# angepasst an die Geheimschrift von Captain Kidd aus "Gold Bug". 
# (Bei geeigneter Darstellung kommen in der Geheimschrift nur ASCII-
# Zeichen zwischen '!' und '?' vor.)
#
# H. Witten, 11.5.2002
# An Python 2.4 angepasst, 23.02.2005

from string import upper, count

Datei = "Kidd.txt"

f = open(Datei,"r")     # ffnet die Datei zum Lesen
t = f.read()            # Liest die gesamte Datei als String t ein.
t = upper(t)            # Verwandelt alle Kleinbuchstaben in Grobuchstaben,
                        # andere Zeichen bleiben unverndert.

c = '!'; Zeichen = []   # Initialisierung
while c <= '?':       
    Zeichen.append(c)   # Erzeugt eine Liste der fraglichen Zeichen
    c = chr(ord(c) + 1) 

Anzahl = []             # Initialisierung der Liste
for c in Zeichen:
    Anzahl.append((count(t, c),c)) # Liste mit den Zeichenhaeufigkeiten

Anzahl.sort()           # Sortiert und
Anzahl.reverse()        # ... invertiert die Liste.

print "Haeufigkeitsanalyse der Geheimschrift"
print "====================================="
print
print 'Analyse von', Datei
print
print "(Haeufigkeit, Buchstabe)"
for z in Anzahl:
     print z
