# -*- coding: cp1252 -*-
# TextanalyseSort:  Ausgabe der Hufigkeitstabelle am Bildschirm
#                   nach Zeichenhufigkeit sortiert
#
# H. Witten, 16.6.2002
# An Python 2.4 angepasst, 23.02.2005


from string import upper, count

Datei = "gold_bug.txt"

f = open(Datei,"r") # ffnet die Datei zum Lesen
t = f.read()        # Liest die gesamte Datei als String t ein.
t = upper(t)        # Verwandelt alle Kleinbuchstaben in Grobuchstaben,
                    # andere Zeichen bleiben unverndert.

Anzahl = []         # Initialisierung von einer Liste
                    # mit Tupeln (Anzahl, Buchstabe)
c = 'A'
while c <= 'Z':     # Nur Grossbuchstaben werden gezhlt
    Anzahl.append((count(t, c),c))
    c = chr(ord(c) + 1)

Anzahl.sort()      # Sortiert und ...
Anzahl.reverse()   # ... invertiert die Liste.

print "Hufigkeitsanalyse eines Textes"
print "================================"
print
print 'Analyse von', Datei
print
print "(Hufigkeit, Buchstabe)"
for z in Anzahl:
     print z

