# -*- coding: cp1252 -*-
# CaesarCrack
# Caesar-Entschlsselung mit 'brute force'
# H. Witten 17.2.2003
# An Python 2.4 angepasst, 23.02.2005

import string       # Wir bentigen das String-Paket

def Schluessel_erzeugen(s):
    global tabelle          # Dies wird die bersetzungstabelle
    s = string.upper(s)     # s wird in Grobuchstaben umgewandelt
    KTA = 'ABCDEFGHIJKLMNOPQRSTUVWXYZ'  # KTA = KlarTextAlphabet
    i = string.find(KTA,s)  # an welcher Stelle steht der Schlsselbuchstabe?
    if i >= 0:                          # GTA = GeheimTextAlphabet
        GTA = KTA[i:26]+KTA[0:i] # GTA aus zwei Teilen von KTA zusammenbasteln
        tabelle = string.maketrans(KTA,GTA)
    else: print "Fehler!!"

def Caesar(t):
    t = string.upper(t) # Text wird in Grobuchstaben verwandelt
    c = string.translate(t, tabelle) # Codierung nach der Tabelle
    return c

if __name__ == "__main__":    
    print "Caesar-Entschlsselung mit brutaler Gewalt"
    print "=========================================="
    print 
    print
    text = raw_input('Text eingeben: ') # Text einlesen ...
    key = 'A'
    while key <= 'Z':
        Schluessel_erzeugen(key)
        code = Caesar(text)         # ... nach Caesar verschlsseln ...
        print key,' ',code          # ... und ausgeben!
        key = chr(ord(key) + 1)     # nchster Schlsselbuchstabe
