# -*- coding: cp1252 -*-
# Caesar 1
# Ver- und Entschlsselung mit Umsetzungstabelle
# H. Witten 17.2.2003
# An Python 2.4 angepasst, 23.02.2005

import string       # Wir bentigen das String-Paket

def Schluessel_erzeugen():
    global tabelle          # Dies wird die Uebersetzungstabelle!
    KTA = 'ABCDEFGHIJKLMNOPQRSTUVWXYZ'  # KTA = KlarTextAlphabet
    GTA = 'DEFGHIJKLMNOPQRSTUVWXYZABC'  # GTA = GeheimTextAlphabet
    print 'KTA: ', KTA
    print 'GTA: ', GTA      # zur Kontrolle!
    tabelle = string.maketrans(KTA,GTA)
        

def Caesar(t):
    t = string.upper(t)     # Text in Grobuchstaben umwandeln
    c = string.translate(t, tabelle) # bersetzung nach der Tabelle
    return c

if __name__ == "__main__":    
    print "Verschlsselung und Entschlsselung nach Caesar"
    print "==============================================="
    print "Version 1"
    print
    Schluessel_erzeugen()
    print 
    t = raw_input('Text eingeben: ') # Text einlesen ...
    c = Caesar(t)       # ... nach Caesar verschlsseln ...
    print c             # ... und ausgeben!


