# Vigenere-Verschluesselung
# Roh-Version ohne Komfort zur Demonstration des Algorithmus
#
# H. Witten 16.9.2001

import string

def add_sub(a,b):
    '''
    "Addition" bzw. "Subtraktion" von zwei Buchstaben modulo 26
    zur Ver- bzw. Entschluesselung nach Vigenere'''
    za = ord(a) - ord('A')      # Buchstabe a => Zahl za (0 <= z <= 25)
    zb = ord(b) - ord('A')      # Buchstabe b => Zahl zb (0 <= z <= 25)
    if   Richtung == 'E':       # Verschluesselung (Encryption)       
        zs = (za + zb) % 26     # Addition Modulo 26
    elif Richtung == 'D':       # Entschluesselung (Decryption)       
        zs = (za - zb) % 26     # Subtraktion Modulo 26
    return chr(zs + ord('A'))   # Zahl zs => Buchstabe 

Richtung = 'D'
# key = raw_input('Bitte Schluessel eingeben: ')
key = 'logisch'
key = string.upper(key)         # Fehlt noch: Reduktion auf ASCII-Zeichen,
lkey = len(key)                 # Behandlung eines leeren Strings

# eing = raw_input('Bitte Text eingeben: ')
Datei = "geheim.txt"

f = open(Datei,"r")     # Oeffnet die Datei zum Lesen
eing = f.read()         # Liest die gesamte Datei als String eing ein.
   
eing = string.upper(eing)       # Fehlt noch: Reduktion auf ASCII-Zeichen

ausg = ''; i = 0 # Initialisierung
for c in eing:
    if i == lkey: i = 0
    ausg = ausg + add_sub(c,key[i])
    i = i + 1

print 'Ergebnis:'
print ausg

    
    
